ABS_S32(9)

NAME

abs_s32 - Compute the absolute value and sign of the input signal

SYNOPSIS

loadrt abs_s32 [count=N|names=name1[,name2...]]

FUNCTIONS

abs-s32.N

PINS

abs-s32.N.in s32 in
    input value

abs-s32.N.out s32 out
    output value, always non-negative

abs-s32.N.sign bit out
    Sign of input, false for positive, true for negative

abs-s32.N.is-positive bit out
    TRUE if input is positive, FALSE if input is 0 or negative

abs-s32.N.is-negative bit out
    TRUE if input is negative, FALSE if input is 0 or positive

AUTHOR

Sebastian Kuzminsky

LICENSE

GPL